Skip to main content
`Ctrl`+`K`

# PetscDSSetFromOptions

sets parameters in a `PetscDS` from the options database

## Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSSetFromOptions(PetscDS prob)

Collective

## Input Parameter

- prob - the `PetscDS` object to set options for

## Options Database Keys

- -petscds_type <type> - Set the `PetscDS` type

- -petscds_view <view opt> - View the `PetscDS`

- -petscds_jac_pre - Turn formation of a separate Jacobian preconditioner on or off

- -bc_<name> <ids> - Specify a list of label ids for a boundary condition

- -bc_<name>_comp <comps> - Specify a list of field components to constrain for a boundary condition

## See Also

`PetscDS`, `PetscDSView()`

## Level

intermediate

## Location

src/dm/dt/interface/dtds.c

## Examples

src/ts/tutorials/ex48.c
src/ts/tutorials/ex11.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages